
TYPO3.Flow - Bug # 30934

Status: Resolved Priority: Should have
Author: Thomas Hempel Category: Persistence
Created: 2011-10-14 Assigned To: Karsten Dambekalns
Updated: 2011-12-19 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: persistAll() should only be called if EntityManager is still alive
Description

In some cases it can happen, that the EntityManager is closed at the end of an controller. This can be a valid situation. See #30933
for more information.

It would be good if the persistAll() method is only called if the EntityManager is really functioning.

Related issues:
related to TYPO3.Flow - Feature # 30933: Check for unique constraints on add() Needs Feedback2011-10-14

Associated revisions
Revision f8dd9311 - 2011-12-16 15:45 - Karsten Dambekalns

[BUGFIX] Only flush() the Doctrine ORM if it is open

In some cases it can happen, that the EntityManager is closed at the end
of a request This can be a valid situation (see #30933 for more).

This change makes persistAll() check if the EntityManager is open
before calling flush() on it.

Change-Id: I92f0fae135ceee30e675a706e67d58ba937802cc
Fixes: #30934
Releases: 1.0, 1.1

Revision 49111903 - 2011-12-16 17:17 - Karsten Dambekalns

[BUGFIX] Only flush() the Doctrine ORM if it is open

In some cases it can happen, that the EntityManager is closed at the end
of a request This can be a valid situation (see #30933 for more).

This change makes persistAll() check if the EntityManager is open
before calling flush() on it.

Change-Id: I529509b84032932cb3f4db1dad3cd8bcb37e5e89
Fixes: #30934
Releases: 1.0, 1.1
Revision 9a8bc9b1 - 2012-05-25 12:44 - Karsten Dambekalns

[TASK] Log skipped persistAll() due to closed EntityManager

To avoid exceptions we only flush the EM if it is still open. To be
able to spot errors more easily, this adds a log entry if the EM
was closed and flushing was skipped.

Change-Id: Iea4a446f9b3dffd8d3678fa9e1d82569de86697e
Related: #30934
Releases: 1.1, 1.2

Revision 660ee7e9 - 2012-05-30 17:41 - Karsten Dambekalns

[TASK] Log skipped persistAll() due to closed EntityManager

To avoid exceptions we only flush the EM if it is still open. To be
able to spot errors more easily, this adds a log entry if the EM
was closed and flushing was skipped.

Change-Id: Iea4a446f9b3dffd8d3678fa9e1d82569de86697e
Related: #30934
Releases: 1.1, 1.2

History
#1 - 2011-10-14 15:40 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns

#2 - 2011-10-14 15:41 - Karsten Dambekalns
- Category set to Persistence

#3 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#4 - 2011-12-16 15:45 - Karsten Dambekalns
- Target version set to 1.0.2
- Has patch set to No

#5 - 2011-12-16 16:11 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/7316

#6 - 2011-12-16 17:07 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

2015-08-03 2/3

http://review.typo3.org/7316


Applied in changeset commit:f8dd931115eaa67d707171ed34d8f8fb5bc845ce.

#7 - 2011-12-16 17:18 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7319

#8 - 2011-12-19 11:06 - Karsten Dambekalns
- Status changed from Under Review to Resolved

Applied in changeset commit:491119035d378be54da1894ee083d1f5dacc5dde.
